.monitoring-top {
    display: flex;
    justify-content: space-between;
    flex-wrap: wrap;
    margin-bottom: 100px;

    .monitoring-left {
        display: flex;
        justify-content: space-between;
        align-items: flex-start;
        flex-basis: 49%;

        .link-back {
            flex-basis: 100px;
        }

        .box-img {
            margin: 0 45px;

            img {
                display: block;
                max-width: 100%;
            }
        }

        .box-text {
            .text-bold {
                color: #383838;
                font-family: 'Geometria Bold';
                font-size: 18px;
                font-weight: 700;
                line-height: 15px;
                margin: 20px 0 25px;
            }

            .link-calculate {
                color: #3068e8;
                font-family: 'Geometria';
                font-size: 14px;
                font-weight: 400;
                line-height: 15px;
                margin: 0 0 20px;
                text-decoration: none;

            }

            .text-grey {
                color: #c0c0c0;
                font-family: 'Geometria';
                font-size: 14px;
                font-weight: 400;
                line-height: 26px;
            }
        }
    }

    .monitoring-right {
        flex-basis: calc(49% - 64px);
        background-color: #fff;
        border-radius: 20px;
        padding: 32px;

        .box-top-icon {
            display: flex;
            justify-content: space-between;
            align-items: center;
            margin-bottom: 30px;

            .title-blue {
                color: #2450d0;
                font-family: 'Geometria Bold';
                font-size: 18px;
                font-weight: 700;
                margin: 0;
            }

            .refresh {
                width: 18px;
                height: 20px;
                fill: #c8c8c8;
                cursor: pointer;
                stroke: #c8c8c8;
                transition-duration: 500ms;
                transition-property: fill, stroke;

                &:hover {
                    fill: #2b5ede;
                    stroke: #2b5ede;
                    cursor: pointer;
                }
            }
        }

        .box-right-bottom {
            display: flex;
            justify-content: space-between;
            flex-wrap: wrap;

            .box-botton-element {
                flex-basis: 22.4%;

                .title-grey {
                    margin: 0 0 20px;
                    color: #b6b6b6;
                    height: 50px;
                    font-size: 14px;
                    font-weight: 400;
                    line-height: 15px;
                }

                .text-bold {
                    color: #383838;
                    font-family: 'Geometria Bold';
                    font-size: 14px;
                    font-weight: 700;
                    line-height: 15px;
                }

                .green {
                    color: #3cc32f;
                }

                .red {
                    color: #f2503f;
                }

            }
        }
    }
}

.monitoring-search {
    display: flex;
    justify-content: space-between;
    align-items: center;
    flex-wrap: wrap;

    .box-text-left {
        .text-bold {
            margin: 0 0 20px;
            color: #383838;
            font-family: 'Geometria Bold';
            font-size: 18px;
            font-weight: 700;
            line-height: 26px;
        }

        .text-monitoring-grey {
            color: #aeaeae;
            font-family: 'Geometria';
            font-size: 14px;
            font-weight: 400;
            line-height: 26px;
            margin: 0;
        }
    }

    .box-right {
        flex-basis: 60%;
        width: 100%;
        position: relative;

        form {
            width: 100%;

            input {
                width: calc(100% - 20px);
                padding-left: 20px;
                display: flex;
                justify-content: flex-start;
                align-items: center;
                height: 42px;
                border-radius: 25px;
                background-color: #f8f8f8;
                color: #cccccc;
                font-family: 'Geometria';
                font-size: 14px;
                font-weight: 400;
                line-height: 15px;
                border: none;
                box-shadow: none;
                outline: none;
            }

            button {
                width: 23px;
                height: 23px;
                background: none;
                box-shadow: none;
                border: none;
                outline: none;
                position: absolute;
                top: 0;
                bottom: 2px;
                right: 20px;
                margin: auto;

                svg {
                    width: 23px;
                    height: 23px;
                    fill: #cccccc;
                }
            }
        }
    }
}

.box-icon-all {
    display: flex;
    justify-content: space-between;
    align-items: center;
    margin: 50px 0;

    .all-left {
        display: flex;
        justify-content: flex-start;
        align-items: center;

        .all-left-left {
            display: flex;
            justify-content: flex-start;
            align-items: center;

            svg {
                width: 22px;
                height: 21px;
                fill: #2b5ede;
                margin-right: 20px;
            }

            color: #285ed9;
            font-family: 'Geometria';
            font-size: 14px;
            font-weight: 400;
            line-height: 26px;
        }

        .box-left-right {
            margin-left: 30px;
            display: flex;
            justify-content: flex-start;
            align-items: center;
            position: relative;

            .cron {
                width: 22px;
                height: 22px;
                fill: #2b5ede;
                margin-right: 20px;
            }

            .text-head {
                color: #383838;
                font-family: 'Geometria';
                font-size: 14px;
                font-weight: 400;
                line-height: 26px;
                margin: 0 20px 0 0;

                span {
                    color: #383838;
                    font-family: 'Geometria Bold';
                    font-size: 14px;
                    font-weight: 700;
                    line-height: 26px;
                }
            }

            .text-body {
                display: none;
                position: absolute;
                top: calc(100%);
                right: 20px;
                width: calc(299px - 46px);
                padding: 20px 23px;
                height: 266px;
                box-shadow: 0 37px 96px rgba(183, 183, 183, 0.2);
                border-radius: 10px;
                background-color: #3a3a3a;

                .text-title-White {
                    color: #ffffff;
                    font-family: 'Geometria Bold';
                    font-size: 14px;
                    font-weight: 700;
                    line-height: 26px;
                    margin: 0 0 10px;
                }

                .text-mini {
                    color: #ffffff;
                    font-family: 'Geometria';
                    font-size: 14px;
                    font-weight: 400;
                    line-height: 26px;
                }

            }
        }
    }

    .all-right {
        display: flex;
        justify-content: flex-end;
        align-items: center;
        position: relative;

        .plus {
            /* Style for "plus-sign-" */
            width: 24px;
            height: 24px;
            fill: #2b5ede;
            margin-right: 20px;
            cursor: pointer;
        }

        .refresh {
            width: 19px;
            height: 22px;
            fill: #c8c8c8;
            cursor: pointer;
            stroke: #c8c8c8;
            transition-duration: 500ms;
            transition-property: fill, stroke;


            &:hover {
                fill: #2b5ede;
                stroke: #2b5ede;
                cursor: pointer;
            }
        }
    }
}

.box-modalPlus {
    .plus {
        /* Style for "plus-sign-" */
        width: 24px;
        height: 24px;
        fill: #2b5ede;
        margin-right: 20px;
        cursor: pointer;
    }

    display: block;
    position: absolute;
    top: 500px;
    right: 120px;
    padding: 50px 27px 50px 65px;
    width: calc(1013px - (27px + 65px));
    box-shadow: 0 13px 139px rgba(0, 0, 0, 0.15);
    border-radius: 10px;
    background-color: #ffffff;
    z-index: 9999;

    .box-top {
        display: flex;
        justify-content: space-between;
        align-items: center;
        margin-bottom: 30px;

        .plus-left {
            display: flex;
            justify-content: flex-start;
            align-items: center;

            svg {
                width: 32px;
                height: 32px;
            }

            .text-bold {
                color: #383838;
                font-family: 'Geometria Bold';
                font-size: 18px;
                font-weight: 700;
                line-height: 26px;
                margin: 0;
            }
        }

        .plus-right {
            cursor: pointer;

            svg {
                width: 29px;
                height: 29px;
                fill: #d3d3d3;
            }
        }
    }

    form {
        .box-flex-input {
            display: flex;
            justify-content: space-between;
            align-items: center;

            .box-input, .box-input2 {
                flex-basis: 40%;
                margin-bottom: 30px;

                label {
                    display: block;
                    color: #aeaeae;
                    font-family: 'Geometria';
                    font-size: 14px;
                    font-weight: 400;
                    line-height: 26px;

                    span {
                        color: #2c60d9;
                    }
                }

                input {
                    width: calc(100% - 17px);
                    padding-left: 15px;
                    display: flex;
                    justify-content: flex-start;
                    align-items: center;
                    height: 54px;
                    border-radius: 27px;
                    background-color: #f3f3f3;
                    color: #aeaeae;
                    font-family: 'Geometria';
                    font-size: 14px;
                    font-weight: 400;
                    line-height: 26px;
                    outline: none;
                    border: none;
                }
            }

            .box-input2 {
                flex-basis: 30%;
            }
        }

        .textarea {
            display: block;
            color: #aeaeae;
            font-family: 'Geometria';
            font-size: 14px;
            font-weight: 400;
            line-height: 26px;
        }

        textarea {
            width: calc(100% - 15px);
            padding-left: 15px;
            display: flex;
            justify-content: flex-start;
            align-items: center;
            border-radius: 27px;
            background-color: #f3f3f3;
            color: #aeaeae;
            font-family: 'Geometria';
            font-size: 14px;
            font-weight: 400;
            line-height: 26px;
            outline: none;
            resize: none;
            padding-top: 20px;
            height: 150px;
            border: none;
            margin: 0 0 30px;
        }
    }
}

@media(max-width: 1113px) {
    .monitoring-top .monitoring-left {
        flex-basis: 100%;
        margin-bottom: 20px;
    }
    .monitoring-top .monitoring-right {
        flex-basis: calc(100% - 64px);
    }
}

@media(max-width: 995px) {
    .monitoring-search .box-right {
        flex-basis: 100%;
        margin-top: 20px;
    }
}

@media(max-width: 1085px) {
    .box-modalPlus {
        width: calc(320px - 40px);
        padding-left: 20px;
        right: unset;
        top: 0;
        left: 50%;
        transform: translate(-50%, 0);
        z-index: 999999;
    }
}

.box-modalPlus form .box-flex-input .box-input {
    flex-basis: 300px;
}

.box-modalPlus form .box-flex-input .box-input2 {
    flex-basis: 300px;
}

.box-modalPlus form .box-flex-input {
    flex-wrap: wrap;
}

.box-modalPlus {
    //top: 0;
}

@media(max-width: 632px) {
    .box-table-element .box-menu-icon .box-modaOpen {
        left: auto !important;
        right: -150px;
        z-index: 99;
    }
}
